org.apache.tomcat.util.security

## Class MD5Encoder

- java.lang.Object
- - org.apache.tomcat.util.security.MD5Encoder

-     public final class MD5Encoder
      extends Object

  Encode an MD5 digest into a String.

  The 128 bit MD5 hash is converted into a 32 character long String. Each character of the String is the hexadecimal representation of 4 bits of the digest.

  Author:
    Remy Maucherat

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `encode(byte[] binaryData)` Encodes the 128 bit (16 bytes) MD5 into a 32 character String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### encode

          public static String encode(byte[] binaryData)

      Encodes the 128 bit (16 bytes) MD5 into a 32 character String.
      Parameters:
        `binaryData` - Array containing the digest
      Returns:
        Encoded MD5, or null if encoding failed

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.